using Lada.Framework.Data.Domains.BaseEntities;
using System.ComponentModel;

namespace Lada.Framework.Data.Domains.Orders
{
    public class OrderWeight : BaseEntityWithKey<long>
    {
        public int OrderId { get; set; }
        public int Weight { get; set; }
        public int Width { get; set; }
        public int Height { get; set; }
        public int Length { get; set; }
        public WeightType WeightType { get; set; }
    }

    public enum WeightType
    {
        [Description("Tạo mới")]
        Create = 1,
        [Description("Lấy hàng")]
        Pickup = 2,
        [Description("Bàn giao")]
        Handover = 5,
        [Description("Kho tổng")]
        StationCenter = 6,
        [Description("Giao hàng")]
        Delivery = 10
    }
}
